//
//  CODPropertyListRepresentationChef.h
//  cocoatest
//
//  Created by Robinson on 21.06.2014.
//  Copyright (c) 2014 Coding Turtle. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface CODPropertyListRepresentationChef : NSObject

//In both of these methods, “object” is a single object that is, or a hierarchy of objects that are,
//either 1) plist-compatible or 2) not plist-compatible but conform(s) to CODPropertyListRepresentationProtocol
+ (id)cookedPropertyListRepresentationFromObject:(id)object;
+ (id)objectFromCookedPropertyListRepresentation:(id)cookedPropertyListRepresentation
                                         classes:(NSDictionary *)classes; //maps class names (in the cooked plist) to actual classes

@end
