//
//  CCHSharedSmartListSheetPureGMTDateComparisonRightViewController.h
//  Chikoo
//
//  Created by Robinson on 29.07.2014.
//  Copyright (c) 2014 Coding Turtle. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "CCHSharedSmartListSheetComparisonRightViewController.h"
#import "CCHPureGMTDateItemFilter.h"


//Note: This “Pure GMT” class, and the accompanying XIB file, are mostly a copy-paste of the “Ordinary” stuff.
//We explained in the date item filter header files why we want to keep these two things separate. In particular, the operators of the “ordinary”
//filter may change one day (if we want to expose the time for the “ordinary” dates). In this case, the XIB file menu item would have to change too.

@interface CCHSharedSmartListSheetPureGMTDateComparisonRightViewController : CCHSharedSmartListSheetComparisonRightViewController

//to keep the code simple, we just reuse the operator type from the filter class.
//rightHandSide is either nil, NSDate, or NSNumber.
//Be careful: The proper type for rightHandSide is *asserted*.
- (id)initWithOperator:(CCHPureGMTDateItemFilterOperator)operator rightHandSide:(id)rightHandSide;

@end
