//
//  CODDateTextField.h
//  Shared
//
//  Created by Robinson on 25.05.2014.
//  Copyright (c) 2014 Coding Turtle. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "CODWellManneredTableViewTextField.h"


//The outside world should post this to request that attached date pickers update their position.
extern NSString *const kCODDateTextFieldOutsideWorldRequestingAttachedWindowPositionUpdateNotification;


//* We can safely use this class both inside and outside table views.
//  (See the comments in CODWellManneredTableViewTextField.)
//* For now, we assume this class is instantiated in a XIB.

@interface CODDateTextField : CODWellManneredTableViewTextField <NSDatePickerCellDelegate>

//In Chikoo, this is useful for date text fields in the attributes pane.
//Note: For this to work 100%, this text field should be in a complete, “circular” key-view loop.
@property(readwrite) BOOL doNotFadeOutAttachedWindowUponReturnKeyPressOrTabOrBacktabToSelf;

@end
